## GgitDiffOptions GgitDiffOptions |

## Functions

GgitDiffOptions * | ggit_diff_options_copy ()
void | ggit_diff_options_free ()
GgitDiffOptions * | ggit_diff_options_new ()

## Types and Values

| GgitDiffOptions

## Object Hierarchy

        GBoxed
        ╰── GgitDiffOptions

## Description

## Functions

### ggit_diff_options_copy ()

    GgitDiffOptions *
    ggit_diff_options_copy (GgitDiffOptions *diff_options);

Copies `diff_options` into a newly allocated GgitDiffOptions.

#### Parameters

diff_options | a GgitDiffOptions. |

#### Returns

a newly allocated GgitDiffOptions.

[transfer full]

### ggit_diff_options_free ()

    void
    ggit_diff_options_free (GgitDiffOptions *diff_options);

Frees `diff_options` .

#### Parameters

diff_options | a GgitDiffOptions. |

### ggit_diff_options_new ()

    GgitDiffOptions *
    ggit_diff_options_new (GgitDiffOption flags,
                           gint n_context_lines,
                           gint n_interhunk_lines,
                           const gchar *old_prefix,
                           const gchar *new_prefix,
                           const gchar **pathspec);

Creates a new GgitDiffOptions for use in creating a GgitDiff.

#### Parameters

flags | how the diff should be performed, default is GGIT_DIFF_NORMAL. |
n_context_lines | the number of context lines, default it 3. |
n_interhunk_lines | the number of interhunk lines, default is 3. |
old_prefix | the old prefix, defaults to "a". | [allow-none]
new_prefix | the new prefix, defaults to "b". | [allow-none]
pathspec | which paths to show, defaults to showing all paths. | [allow-none][array zero-terminated=1]

#### Returns

a newly allocated GgitDiffOptions.

## Types and Values

### GgitDiffOptions

    typedef struct _GgitDiffOptions GgitDiffOptions;

Represents the options used when creating a GgitDiff.